Bug 865835 - XklWrapperError: Failed to remove layout 'us ()'
XklWrapperError: Failed to remove layout 'us ()'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vratislav Podzimek
Fedora Extras Quality Assurance
abrt_hash:e1b88c7de5f8785bf557ae941bb...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 11:08 EDT by Reartes Guillermo
Modified: 2012-12-11 04:33 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 04:33:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (273.32 KB, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details
File: storage.log (117.13 KB, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details
File: environ (764 bytes, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (2.53 KB, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details
File: syslog (73.31 KB, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.38 KB, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details
File: program.log (41.70 KB, text/plain)
2012-10-12 11:08 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-12 11:08:11 EDT
Description of problem:
entern keyboard
selected +
added all waray latin variant (shift+arrow)
then tried to delete the all waray starting from the last


Version-Release number of selected component:
anaconda-18.14

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.14 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/keyboard.py", line 390, in remove_layout
:    variant))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/keyboard.py", line 258, in _removeLayout
:    self._xkl_wrapper.remove_layout(store[itr][0])
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/keyboard.py", line 305, in on_remove_clicked
:    self._removeLayout(store, itr)
:XklWrapperError: Failed to remove layout 'us ()'
Comment 1 Reartes Guillermo 2012-10-12 11:08:20 EDT
Created attachment 626042 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-12 11:08:22 EDT
Created attachment 626043 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-12 11:08:25 EDT
Created attachment 626044 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-12 11:08:30 EDT
Created attachment 626045 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-12 11:08:34 EDT
Created attachment 626046 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-12 11:08:37 EDT
Created attachment 626047 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-12 11:08:39 EDT
Created attachment 626048 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-12 11:08:41 EDT
Created attachment 626049 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-12 11:08:44 EDT
Created attachment 626050 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-12 11:08:47 EDT
Created attachment 626051 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-12 11:08:49 EDT
Created attachment 626052 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-12 11:08:51 EDT
Created attachment 626053 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-12 11:08:54 EDT
Created attachment 626054 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-12 11:08:57 EDT
Created attachment 626055 [details]
File: program.log
Comment 15 Reartes Guillermo 2012-12-07 17:58:29 EST
I tried with: 20121205_f18-smoke4 and it worked ok.

So it seems this bug-report can be closed.

Additional info: In fact i added all languages, then deleted them all and changed it to Spanish and returned to the main hub without a crash. 
The spoke looks solid with the exception of when the 'gui becomes unresponsive' sometimes when clicking the ?keyboard? icon (the one that shows the keyboard).
Comment 16 Vratislav Podzimek 2012-12-11 04:33:23 EST
(In reply to comment #15)
> I tried with: 20121205_f18-smoke4 and it worked ok.
> 
> So it seems this bug-report can be closed.
Thanks for the testing and info! Closing this bug as CURRENTRELEASE.

> 
> Additional info: In fact i added all languages, then deleted them all and
> changed it to Spanish and returned to the main hub without a crash. 
> The spoke looks solid with the exception of when the 'gui becomes
> unresponsive' sometimes when clicking the ?keyboard? icon (the one that
> shows the keyboard).
That button runs a dialog from an external library (libgnomekbd). If you find a way how to reproduce the hang, please file a new bug against anaconda and assign it to me.

Note You need to log in before you can comment on or make changes to this bug.